package com.objis.gestionformations.presentation;

import com.objis.gestionformations.domaine.DemandeFormation;
import com.objis.gestionformations.domaine.Employe;
import com.objis.gestionformations.domaine.Manager;
import com.objis.gestionformations.service.ServiceFormation;

public class LanceurGestionFormations {

	/**
	 * Classe principale = point d'entre de l'application = classe possdant
	 * mthode main() www.objis.com --> Nous allons vous faire aimer JAVA
	 * 
	 * @param args
	 */
	public static void main(String[] args) {

		// 1) Dclaration
		Employe employe1;
		Manager manager1;
		DemandeFormation df1, df2;
		ServiceFormation serviceFormation ;

		// 2) Instanciation
		employe1 = new Employe("Fall", "Ousmane", 1);
		manager1 = new Manager("Seck", "Moustapha", 2);
		df1 = new DemandeFormation("TOMCAT", "2016-11-21", "2017-02-20","2017-02-24", "ATTENTE");
		df2 = new DemandeFormation("SPRING", "2016-11-22", "2017-01-06","2017-01-10", "ATTENTE");
		serviceFormation = new ServiceFormation();
		
		// 3) Utilisation (Les employs et le manager demandent une formation)
		employe1.demanderFormation(df1);
		manager1.demanderFormation(df2);
		
		serviceFormation.listerFormations(employe1);
		serviceFormation.listerFormations(manager1);
		
	}
}
